local player_voice = "rb1"
Hooks:PostHook(PlayerSound, "set_voice", "source_set_voice", function(self, voice)
	if self._unit:base() and self._unit:base()._tweak_table == nil then
		player_voice = voice
	end
end)

function PlayerSound:play_footstep(foot, material_name)
	if material_name ~= nil and self._last_material ~= tweak_data.materials[material_name:key()] then
		self._last_material = tweak_data.materials[material_name:key()]
	end
	if self._last_material ~= nil then
		self:_play("footstep_" .. self._last_material)
	else
		self:_play("footstep_concrete")
	end
end

function PlayerSound:play_land(material_name)
	if material_name ~= nil and self._last_material ~= tweak_data.materials[material_name:key()] then
		self._last_material = tweak_data.materials[material_name:key()]
	end
	if self._last_material ~= nil then
		self:_play("footstep_" .. self._last_material)
	else
		self:_play("footstep_concrete")
	end
end

local female_voice = {["rb7"] = true, ["rb10"] = true, ["rb15"] = true, ["rb19"] = true, ["rb21"] = true, ["female_1"] = true, ["bonnie"] = true, ["sydney"] = true, ["joy"] = true, ["ecp_female"] = true}
function PlayerSound:say(sound_name, sync, important_say, ignore_prefix, callback)
	if self._last_speech and self._speaking then
		self._last_speech:stop()

		self._speaking = nil
	end

	local event_id = nil

	if type(sound_name) == "number" then
		event_id = sound_name
		sound_name = nil
	end

	if sync then
		event_id = event_id or SoundDevice:string_to_id(sound_name)

		self._unit:network():send("say", event_id)
	end
	
	local source_vo = "vo_male"
	if (self._unit:base() and self._unit:base()._tweak_table and female_voice[self._unit:base()._tweak_table] ~= nil) then
		source_vo = "vo_female"
	elseif self._unit:base() and self._unit:base()._tweak_table == nil and female_voice[player_voice] ~= nil then
		source_vo = "vo_female"
	end

	self._last_speech = self:_play(source_vo, nil, true, callback)

	if important_say and self._last_speech then
		managers.hud:set_mugshot_talk(self._unit:unit_data().mugshot_id, true)

		self._speaking = true
	end

	return self._last_speech
end